﻿Public Class Form1
    Dim SubTool As Steema.TeeChart.Tools.SubChartTool
    Dim WithEvents SubChart As Steema.TeeChart.TChart

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim Line1 As Steema.TeeChart.Styles.Line

        Line1 = New Steema.TeeChart.Styles.Line(TChart1.Chart)
        Line1.FillSampleValues(200)
        MinX.Text = 0
        MaxX.Text = 201
        If SubTool Is Nothing Then
            SubTool = New Steema.TeeChart.Tools.SubChartTool(TChart1.Chart)
            SubChart = SubTool.Charts.AddChart("SubChart")
            SubChart.Left = 0
            SubChart.Top = 0
            SubChart.Width = TChart1.Width / 4
            SubChart.Height = TChart1.Height / 4
            SubChart.Header.Visible = False
            SubChart.Aspect.View3D = False
            SubChart.Panel.MarginUnits = Steema.TeeChart.PanelMarginUnits.Pixels
            SubChart.Panel.MarginLeft = 0
            SubChart.Panel.MarginRight = 0
            SubChart.Panel.MarginTop = 0
            SubChart.Panel.MarginBottom = 0
            SubChart.Axes.Bottom.Labels.Visible = True
            SubChart.Axes.Left.Labels.Visible = False
            Line1 = New Steema.TeeChart.Styles.Line(SubChart.Chart)
            Line1.FillSampleValues(200)
            Line1.Color = Color.Red
        End If
    End Sub

    Private Sub TChart1_AfterDraw(ByVal sender As System.Object, ByVal g As Steema.TeeChart.Drawing.Graphics3D) Handles TChart1.AfterDraw
        SubChart.Refresh()
    End Sub

    Private Sub SubChart_BeforeDraw(ByVal sender As System.Object, ByVal g As Steema.TeeChart.Drawing.Graphics3D) Handles SubChart.BeforeDraw
        SubChart.Axes.Bottom.Automatic = False
        SubChart.Axes.Bottom.Minimum = TChart1.Axes.Bottom.Minimum
        SubChart.Axes.Bottom.Maximum = TChart1.Axes.Bottom.Maximum
    End Sub

    Private Sub MinX_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MinX.TextChanged
        TChart1.Axes.Bottom.Automatic = False
        TChart1.Axes.Bottom.Minimum = MinX.Text
    End Sub

    Private Sub MaxX_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MaxX.TextChanged
        TChart1.Axes.Bottom.Maximum = MaxX.Text
        TChart1.Axes.Bottom.Automatic = False
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        MsgBox("Before refresh, SubChart's bottom axis Min and Max are " & SubChart.Axes.Bottom.Minimum & ", " & SubChart.Axes.Bottom.Maximum)
        SubChart.Refresh()
        MsgBox("After refresh, SubChart's bottom axis Min and Max are " & SubChart.Axes.Bottom.Minimum & ", " & SubChart.Axes.Bottom.Maximum)
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        MsgBox("Before setting properties and refresh, SubChart's bottom axis Min and Max are " & SubChart.Axes.Bottom.Minimum & ", " & SubChart.Axes.Bottom.Maximum)
        SubChart.Axes.Bottom.Automatic = False
        SubChart.Axes.Bottom.Minimum = TChart1.Axes.Bottom.Minimum
        SubChart.Axes.Bottom.Maximum = TChart1.Axes.Bottom.Maximum
        SubChart.Refresh()
        MsgBox("After setting properties and refresh, SubChart's bottom axis Min and Max are " & SubChart.Axes.Bottom.Minimum & ", " & SubChart.Axes.Bottom.Maximum)
    End Sub
End Class
